import Head from "next/head";
import React from "react";

import Sidebar from "./Sidebar";

const MainPage = ({ title, svgComponent }: {title: string, svgComponent: JSX.Element}) => (
  <>
    <Head>
      <title>{title}</title>
    </Head>

    <main className="d-flex flex-nowrap vh-100">
      <Sidebar></Sidebar>
      <hr />
      <div className="d-flex flex-column vw-100">
        <div className="mt-auto mb-auto">
          { svgComponent }
        </div>
      </div>
    </main>
  </>
);

export default MainPage;